#include <bits/stdc++.h>
#define PRINT(x) cerr<<#x<<"="<<x<<endl
#define pii pair<int,int>
#define fi first
#define se second
#define pb push_back
#define lld long long
#define LINF 1000000000000000000LL
#define mid (l+r)/2
using namespace std;

int main() {
    ios::sync_with_stdio(false);cin.tie(0);cout.tie(0);cerr.tie(0);
    int N, K, X; cin >> N >> K >> X;
    if(K == 3) {
        if(N <= 2) cout << -1;
        else if(N == 3) cout << 1 << ' ' << X+1 << ' ' << X + X + 1;
        else {
            cout << 1 << ' ' << 1 << ' ' << 1 << ' ';
            for(int i = 1; i <= N-4; i++) cout << 2 << ' ';
            cout << X+1 << endl;
        }
        return 0;
    }
    for(int i = 1; i*i <= K; i++) {
        if(K%i == 0 && i + K/i <= N) {
            int P = i, D = N-i-K/i, T = K/i;
            for(int j = 1; j <= P; j++) cout << 1 << ' ';
            for(int j = 1; j <= D; j++) cout << 2 << ' ';
            for(int j = 1; j <= T; j++) cout << X+1 << ' ';
            return 0;
        }
    }
    cout << -1;
    return 0;
}